# Pass-Through Additional User Information

The PAVE API allows you to pass additional information about specific users in the JSON results for a session. This is useful when you want to combine information from different sources in a single session, for example, from a lead form on a website to the results payload sent to your CRM.

### Separating Contact Name into First Name and Last Name

You can use the `contact` object within the session details to separate the contact name into two fields: `first_name` and `last_name`. If you are using the SMS method to send the capture link, you can keep the contact name separated into two fields instead of including the `to_name` in the `sms` object. The `contact` object is optional, but both fields are required if used.

### Adding Additional User Information

You can add any additional user information in the `reference` object in the session details. PAVE will include any fields you provide within the `reference` object in your results payload and will delete it a few hours after the session completes.

**IMPORTANT:** Do not include any sensitive information such as credit card or social security numbers in these fields. PAVE requires you to use methods such as Cloud Data Loss Prevention (DLP) to de-identify sensitive data in text content. De-identification is the process of removing identifying information from data by masking, deleting, encrypting, or obscuring it.

### Sample Request with Pass-Through Contact Information

Here is a sample request with pass-through contact information:

```json
{
  "session": {
    "theme": "LITE",
    "redirect_url": "https://www.url-to-redirect-user-to.com",
    "language": "EN",
    "client_id": "SOUTH234889",
    "contact": {
      "first_name": "required",
      "last_name": "required"
    },
    "reference": {
      "any_key": "any_value"
    }
  }
}
```

### Sample Result with Pass-Through Contact Information

Here is a sample result with pass-through contact information:

```json
{
  "session_key": "TOA-IGOLDCIBY3",
  "theme": "LITE",
  "active": true,
  "status": "IDLE",
  "redirect_url": "https://paveinspect.com/",
  "inspect_started_at": null,
  "inspect_ended_at": null,
  "created_at": "2021-08-17T13:49:16+00:00",
  "updated_at": "2021-08-17T13:49:16+00:00",
  "language": "EN",
  "options": {
    "client_id": "DLVNQC",
    "contact": {
      "first_name": "Luan",
      "last_name": "tran"
    },
    "reference": {
      "coupon_code": "TST-PAVE-00001",
      "coupon_value": 200
    },
    "sms": {
      "to": "+84966294497",
      "to_name": null,
      "from": "+849
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.paveapi.com/integrations/developer-docs/pass-through-additional-user-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
